Debian-Sicherheitsankündigung

DSA-1269-1 lookup-el -- Unsichere temporäre Datei

Datum des Berichts:
18. Mär 2007
Betroffene Pakete:
lookup-el
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2007-0237.
Weitere Informationen:

Tatsuya Kinoshita entdeckte, dass Lookup, eine Suchschnittstelle zu elektronischen Wörterbüchern aus den verschiedenen Emacs-Derivaten, eine temporäre Datei in einer unsicheren Weise erzeugt, wenn die Eigenschaft ndeb-binary verwendet wird. Dies ermöglicht einem lokalen Angreifer, einen Symlink-Angriff zu starten, um beliebige Dateien zu überschrieben.

Für die Stable-Distribution (Sarge) wurde dieses Problem in Version 1.4-3sarge1 behoben.

Für die Testing-Distribution (Etch) wurde dieses Problem in Version 1.4-5 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 1.4-5 behoben.

Wir empfehlen Ihnen, Ihr lookup-el-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/l/lookup-el/lookup-el_1.4-3sarge1.dsc
http://security.debian.org/pool/updates/main/l/lookup-el/lookup-el_1.4-3sarge1.diff.gz
http://security.debian.org/pool/updates/main/l/lookup-el/lookup-el_1.4.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/l/lookup-el/lookup-el_1.4-3sarge1_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.